For the complete documentation index, see llms.txt. This page is also available as Markdown.

Vendors

Returns vendors

get
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Query parameters
codestringOptional
clientIdstring · uuidOptional
Responses
200

OK

companyNamestring · nullableOptional
emailstring · nullableOptional
phonestring · nullableOptional
contactPersonstring · nullableOptional
descriptionstring · nullableOptional
idstring · uuidOptional
vendorCodestring · nullableOptional
get
/vendors
200

OK

Create new vendor

post
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Body
companyNamestring · nullableOptional
emailstring · nullableOptional
phonestring · nullableOptional
contactPersonstring · nullableOptional
descriptionstring · nullableOptional
clientIdstring · uuid · nullableOptional
vendorCodestring · nullableOptional
Responses
200

OK

idstring · uuidOptional
post
/vendors

Update an existing vendor

put
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Body
companyNamestring · nullableOptional
emailstring · nullableOptional
phonestring · nullableOptional
contactPersonstring · nullableOptional
descriptionstring · nullableOptional
idstring · uuidOptional
Responses
200

OK

idstring · uuidOptional
put
/vendors

Returns a single vendor by id

get
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Path parameters
idstring · uuidRequired
Responses
200

OK

companyNamestring · nullableOptional
emailstring · nullableOptional
phonestring · nullableOptional
contactPersonstring · nullableOptional
descriptionstring · nullableOptional
idstring · uuidOptional
vendorCodestring · nullableOptional
get
/vendors/{id}

Delete vendor by Id

delete
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Path parameters
idstring · uuidRequired
Responses
200

OK

No content

delete
/vendors/{id}

No content

Last updated

Was this helpful?